Get Proposed Ids Security Policy Status

Get Proposed Ids Security Policy Status
Get IDS security policies publish status

Retrieves the publish status and any error message for a specific proposed IDS security policy without returning the full policy object. Use this for polling or monitoring IDS security policy publish progress.

Request
URI
GET
https://{api_host}/ssp/segmentation/{session-id}/results/proposed-ids-security-policies/{policy-id}/status
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session.

string
policy-id
Required  

Unique identifier of the proposed IDS security policy.


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved IDS security policy publish status

Returns PublishStatusInfo of type(s) application/json
{
    "publish_status": "READY_TO_PUBLISH",
    "overall_publish_status": "READY_TO_PUBLISH"
}
string
publish_status
Optional

Status of a publish operation for a proposed object.

  • READY_TO_PUBLISH: Object is ready to be published
  • IN_PROGRESS: Publication is currently in progress
  • PUBLISH_SUCCESS: Publication completed successfully
  • PUBLISH_FAILED: Publication failed with errors
  • PUBLISH_CANCELED: Publication was canceled by user
Enumeration: READY_TO_PUBLISH, IN_PROGRESS, PUBLISH_SUCCESS, PUBLISH_FAILED, PUBLISH_CANCELED
string
error_message
Read-Only  

Error message if publication failed

string
overall_publish_status
Optional

Status of a publish operation for a proposed object.

  • READY_TO_PUBLISH: Object is ready to be published
  • IN_PROGRESS: Publication is currently in progress
  • PUBLISH_SUCCESS: Publication completed successfully
  • PUBLISH_FAILED: Publication failed with errors
  • PUBLISH_CANCELED: Publication was canceled by user
Enumeration: READY_TO_PUBLISH, IN_PROGRESS, PUBLISH_SUCCESS, PUBLISH_FAILED, PUBLISH_CANCELED

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-ids-security-policies/{policy-id}/status